
//Função de criação do arquivo************************************************************
bool CRIAR_LOG(String LOG) {
  File file = SPIFFS.open(LOG, FILE_WRITE);
  if (!file) {
    Serial.println("ERRO: NÃO CRIOU LOG");
    return false;
  }
  else {
    Serial.println("SUCESSO: LOG CRIADO");
  }
  file.close();
  return true;
}

//Função de gravação no arquivo************************************************************
bool REGISTRAR_LOGS(String LOG, String REGS) {
  File file = SPIFFS.open(LOG, FILE_APPEND);
  if (!file) {
    Serial.println("ERRO: NÃO ABRIU LOG");
    return false;
  }
  if (file.println(REGS))
  {
    Serial.println("SUCESSO: MENSAGEM ANEXADA");
  } else {
    Serial.println("ERRO: MENSAGEM NÃO ANEXADA");
    return false;
  }
  file.close();
  return true;
}

//Função para apagar o arquivo************************************************************
bool DELETAR_LOGS(String LOG) {
  if (SPIFFS.remove(LOG)) {
    Serial.println("SUCESSO: LOG DELETADO");
  }
  else {
    Serial.println("ERRO: LOG NÃO DELETADO");
    return false;
  }
  return true;
}

//Função de leitura do arquivo************************************************************
bool LER_LOG(String LOG) {
  File file = SPIFFS.open(LOG);
  if (!file)
  {
    Serial.println("ERRO: ARQUIVO NÃO ABERTO");
    return false;
  }
  while (file.available())
  {
    Serial.write(file.read());
    delay(TMR_Delay);
  }
  file.close();
  return true;
}
